function noise=rndnoise(N,R,rhoN,DF,noise_type)
switch noise_type
    case 'gaussian'
        NL=(sqrt(2*R*rhoN*DF));%NL/sqrt(2) is the standard deviation 
        noise=double(NL/sqrt(2)*randn(1,N)+i*NL/sqrt(2)*randn(1,N));
    case 'uniform'
        NL=sqrt(6*R*rhoN*DF);
        noise=double(NL*rand(1,N).*exp(i*2*pi*rand(1,N))) ;  
end